Skip to main content
POST
/
v1
/
product_medias
Create
curl --request POST \
  --url https://{defaultHost}/v1/product_medias \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "product_media": {
    "product_id": "a6824b90-788b-4f07-b110-e765b1986322",
    "media_id": "884ef03a-4d74-4f89-b49c-997cd3920266"
  }
}
'
{
  "id": "3f060594-7b5e-4d5e-8252-022ae842fbaa",
  "object": "product_media",
  "alt": null,
  "position": 0,
  "title": null,
  "url": null,
  "media": "884ef03a-4d74-4f89-b49c-997cd3920266",
  "product": "a6824b90-788b-4f07-b110-e765b1986322",
  "created_at": 1780925520,
  "updated_at": 1780925520
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
product_media
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

alt
string | null

The HTML alt attribute for the product media.

position
integer | null

The ordering position of this product media when displayed to customers.

title
string | null

The HTML title attribute for the product media.

url
string | null

Instead of attaching a Media record, a public URL can be set. If set, this URL will be used to serve the product media asset.

media

Expandable – The associated media ID.

product

Expandable – The associated product ID.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.